/* === ベース設定 === */
body {
  background-color: #F5F5F5;
}

/* === フォーム共通 === */
.form-fields {
  display: flex;
  flex-direction: column;
  gap: 20px;
  width: 360px;
  margin: 0 auto;
}

.form-block {
  display: flex;
  flex-direction: column;
}

.input-group {
  position: relative;
}

.input-icon {
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  cursor: pointer;
  font-size: 1.5em;
  color: rgba(0, 0, 0, 0.54);
}

.login-form input,
#password-reset-form input {
  border: none;
  border-radius: 4px;
  height: 44px;
}

#password-reset-form input {
  background-color: #F5F5F5;
}

/* === レイアウト === */
.login-content,
#password-reset-form {
  position: relative;
  display: flex;
  justify-content: center;
  min-height: calc(100vh - 108px);
}
.login-form .form-group,
#password-reset-form .form-group {
  margin-bottom: 20px;
}
.login-form,
.password-reset-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.link-wrapper {
  text-align: center;
}

.login-main {
  height: calc(100vh - 56px);
}
.login-contents {
  display: flex;
  height: 100%;
}
.login-content {
  position: relative;
  flex: 1;
  padding: 32px 4px;
}

/* お知らせ */
.login-content--notice {
  padding: 32px 16px;
  background-color: #fff;
}
.login-notice {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 24px;
  color: #424242;
}
.login-notice__head {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 4px;
}
.login-notice__title {
  font-weight: bold;
  font-size: 32px;
  line-height: 1.3;
  text-align: center;
}
.pre-wrap {
  display: inline-block;
}
.login-notice__head-decoration {
  display: flex;
  align-items: center;
  gap: 4px;
}
.login-notice__head-decoration-bar {
  width: 40px;
  height: 3px;
  border-radius: 100px;
  background-color: #00dcb2;
}
.login-notice__head-decoration-dot {
  width: 5px;
  height: 5px;
  border-radius: 50%;
  background-color: #fc3;
}
.login-notice__description {
  margin: 0;
  font-size: 14px;
  text-align: center;
}
.login-notice__img {
  width: 100%;
  max-width: 400px;
  -webkit-user-drag: none;
  user-select: none;
  pointer-events: none;
}
.login-notice__img-elem {
  width: 100%;
  aspect-ratio: 400 / 240;
}
@media (max-width: 900px) {
  .login-content--notice {
    display: none !important;
  }
}

/* バナー */
.login-content__banner-img {
  position: absolute;
  bottom: 16px;
  width: 100%;
  max-width: 360px;
}
.login-content__banner-img-elem {
  width: 100%;
  aspect-ratio: 360 / 84;
}

/* === ロゴ === */
.rakuruit-logo {
  position: relative;
  top: -52px;
  height: 59.52px;
  object-fit: contain;
  -webkit-user-drag: none;
  user-select: none;
  pointer-events: none;
}

/* === ボタン === */
.btn-primary {
  background-color: #00A3A6;
  color: #fff;
  border: none;
}

.btn-primary:hover {
  background-color: #008f92;
}

.btn-primary:active,
.btn-primary:not(:disabled):not(.disabled):active {
  background-color: #007c7e;
  box-shadow: inset 0 2px 4px rgba(0, 0, 0, 0.2);
  transform: translateY(1px);
}

.btn-primary:focus {
  background-color: #00A3A6;
  outline: none;
  box-shadow: 0 0 0 4px rgba(0, 163, 166, 0.3);
}

.btn-primary:disabled {
  background-color: #006f70;
  color: #fff;
  border: none;
}

.login-form button {
  width: 360px;
  height: 52px;
  border-radius: 24px;
  font-weight: bold;
  margin: 12px 0;
}

#password-reset-form button {
  width: 140px;
  height: 40px;
  border-radius: 4px;
  font-weight: bold;
  margin: 12px auto;
}

.submit-button-wrapper {
  display: flex;
  justify-content: center;
}

/* === アウトラインボタン === */
.btn-outline-primary {
  color: #00A3A6;
  background-color: #fff;
  border: solid;
  border-color: #00A3A6;
}

.btn-outline-primary:hover {
  color: #00A3A6;
  background-color: #fff;
  border-color: #00A3A6;
}

/* === リンク === */
.link-primary,
.link-primary:hover {
  font-size: 0.9rem;
  color: #00a89c;
  cursor: pointer;
}

/* === パスワード再設定 === */
.password-reset-card {
  background-color: #fff;
  border-radius: 6px;
  box-shadow: 0px 1px 4px rgba(0, 0, 0, 0.15);
  width: 440px;
  display: flex;
  justify-content: center;
}

.password-reset-card.card {
  border: none;
}

.password-reset-card-body{
  display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}

.password-reset-title {
  font-family: 'Roboto';
  font-weight: 400;
  font-size: 24px;
  line-height: 24px;
  text-align: center;
  color: #424242;
  margin: 12px 0px 36px 0px;
  width: 360px;
}

/* === メッセージカード === */
.card__message {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 46px 0;
}

.card__message-heading {
  font-size: 16px;
  font-weight: bold;
}

.card__message-inner {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

/* === アラート === */
.login-alert {
  display: flex;
  align-items: center;
  padding: 16px;
  border-radius: 4px;
  margin-bottom: 16px;
}

.login-alert--success {
  border: 1px solid #118000;
  background-color: #f5fcf5;
  color: #118000;
}

.login-alert--notice {
  border: 1px solid #d32f2f;
  background-color: #fff9fa;
  color: #d32f2f;
}

/* === モーダルフッター === */
.modal-footer__inner {
  display: flex;
  flex: 1;
  align-items: center;
  justify-content: space-between;
}

.modal-footer__buttons {
  display: flex;
  gap: 8px;
}